## cunit 2.1-0.dfsg

=== debian/changelog ===
cunit (2.1-0.dfsg-12) unstable; urgency=low

  * Standards version 3.9.4.
  [Dmitrijs Ledkovs]
    * Check return value of fgets calls.
    * Compile in C99 mode to get snprintf support. (Closes: #710161)

 -- Philipp Benner <philipp@debian.org>  Sun, 23 Jun 2013 19:44:36 +0200

cunit (2.1-0.dfsg-11) unstable; urgency=low

  * Added hardening flags.
  * Added pkg-config (Closes: #687561).

 -- Philipp Benner <philipp@debian.org>  Sun, 27 Jan 2013 15:03:52 +0100

cunit (2.1-0.dfsg-10) unstable; urgency=low

  * Standards version 3.9.3.
  * Removed *.la files from package.
  * debian/rules: added build-arch and build-indep.
  * Added debian/README.source.

 -- Philipp Benner <philipp@debian.org>  Sat, 10 Mar 2012 20:40:25 +0000

cunit (2.1-0.dfsg-9) unstable; urgency=low

  * Standards version 3.8.0.
  * Use "const char *" instead of "char *" to prevent warnings
    with g++ (Closes: #502581).

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 25 Jan 2009 22:19:21 +0000

cunit (2.1-0.dfsg-8) unstable; urgency=low

  * Changed the doc-base section according to the new policy.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Mon, 31 Mar 2008 10:49:16 +0200

cunit (2.1-0.dfsg-7) unstable; urgency=low

  * New maintainer e-mail address.
  * debian/control: Added DM-Upload-Allowed: yes.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Tue, 15 Jan 2008 11:42:23 +0100

cunit (2.1-0.dfsg-6) unstable; urgency=low

  * Machine interpretable copyright file.
  * Removed debtags from debian/control.
  * Added homepage field to debian/control.
  * Added Vcs-Browser and Vcs-Svn fields.
  * Fixed debian-rules-ignores-make-clean-error.

 -- Philipp Benner <mail@philipp-benner.de>  Wed, 28 Nov 2007 22:10:56 +0100

cunit (2.1-0.dfsg-5) unstable; urgency=low

  * added missing include files to documentation (Closes: #421855)

 -- Philipp Benner <mail@philipp-benner.de>  Sun,  6 May 2007 23:08:10 +0200

cunit (2.1-0.dfsg-4) unstable; urgency=low

  * ncurses support (Closes: #414879)

 -- Philipp Benner <mail@philipp-benner.de>  Tue, 27 Mar 2007 21:37:30 +0200

cunit (2.1-0.dfsg-3) unstable; urgency=low

  * watch file upate

 -- Philipp Benner <mail@philipp-benner.de>  Fri, 24 Nov 2006 11:30:08 +0100

cunit (2.1-0.dfsg-2) unstable; urgency=low

  * added watch file version mangle
  * new README.Debian-source
  * mentioned in debian/copyright that the documentation is distributed
  + under the GNU FDL
  * removed dh_link from debian/rules

 -- Philipp Benner <mail@philipp-benner.de>  Tue, 17 Oct 2006 14:42:46 +0200

cunit (2.1-0.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #293009)

 -- Philipp Benner <mail@philipp-benner.de>  Mon, 18 Sep 2006 19:58:21 +0200
