=== debian/control ===
Source: cunit
Priority: optional
Maintainer: Philipp Benner <philipp@debian.org>
Build-Depends: debhelper (>= 5), dh-autoreconf, autoconf, dpkg-dev (>= 1.16.1~),
 libncurses5-dev (>= 5.5-5), quilt
Standards-Version: 3.9.4
Section: libs
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/cunit/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/cunit/
Homepage: http://cunit.sourceforge.net/

Package: libcunit1-dev
Section: libdevel
Architecture: any
Suggests: libcunit1-doc (= ${binary:Version})
Depends: ${misc:Depends}, libcunit1 (= ${binary:Version})
Description: Unit Testing Library for C -- development files
 CUnit is a simple framework for incorporating test cases in your C
 code similar to JUnit or CppUnit. It provides C programmers a basic
 testing functionality with a flexible variety of user interfaces.  It
 uses a simple framework for building test structures, and provides a
 rich set of assertions for testing common data types.  In addition,
 several different interfaces are provided for running tests and
 reporting results.

Package: libcunit1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Unit Testing Library for C
 CUnit is a simple framework for incorporating test cases in your C
 code similar to JUnit or CppUnit. It provides C programmers a basic
 testing functionality with a flexible variety of user interfaces.  It
 uses a simple framework for building test structures, and provides a
 rich set of assertions for testing common data types.  In addition,
 several different interfaces are provided for running tests and
 reporting results.

Package: libcunit1-ncurses-dev
Section: libdevel
Architecture: any
Conflicts: libcunit1-dev
Suggests: libcunit1-doc (= ${binary:Version})
Depends: ${misc:Depends}, libcunit1-ncurses (= ${binary:Version})
Description: Unit Testing Library for C (ncurses) -- development files
 CUnit is a simple framework for incorporating test cases in your C
 code similar to JUnit or CppUnit. It provides C programmers a basic
 testing functionality with a flexible variety of user interfaces.  It
 uses a simple framework for building test structures, and provides a
 rich set of assertions for testing common data types.  In addition,
 several different interfaces are provided for running tests and
 reporting results.

Package: libcunit1-ncurses
Section: libs
Architecture: any
Conflicts: libcunit1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Unit Testing Library for C (ncurses)
 CUnit is a simple framework for incorporating test cases in your C
 code similar to JUnit or CppUnit. It provides C programmers a basic
 testing functionality with a flexible variety of user interfaces.  It
 uses a simple framework for building test structures, and provides a
 rich set of assertions for testing common data types.  In addition,
 several different interfaces are provided for running tests and
 reporting results.

Package: libcunit1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Unit Testing Library for C -- documentation
 CUnit is a simple framework for incorporating test cases in your C
 code similar to JUnit or CppUnit. It provides C programmers a basic
 testing functionality with a flexible variety of user interfaces.  It
 uses a simple framework for building test structures, and provides a
 rich set of assertions for testing common data types.  In addition,
 several different interfaces are provided for running tests and
 reporting results.
