=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/-src//,dversionmangle=s/\.dfsg//" \
	http://sf.net/cunit/CUnit-(.+)\.tar\.gz \
	debian uupdate
