## cunit 2.1-2.dfsg

=== debian/changelog ===
cunit (2.1-2.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #717056, #718494).
  * Fixed debian/watch.

 -- Philipp Benner <philipp@debian.org>  Sun, 04 Aug 2013 08:42:32 +0200
