=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
  libncurses5-dev (>= 5.5-5), quilt
 Standards-Version: 3.9.4
 Section: libs
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/cunit/
-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/cunit/
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/cunit/
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/cunit/
 Homepage: http://cunit.sourceforge.net/
 
 Package: libcunit1-dev
