=== debian/rules ===
--- 
+++ 
@@ -42,15 +42,15 @@
 
 	touch $@
 
-get-orig-source: UPSTREAM_VERSION=2.1-0
+get-orig-source: UPSTREAM_VERSION=2.1-2
 get-orig-source:
-	wget http://superb-west.dl.sourceforge.net/sourceforge/cunit/CUnit-$(UPSTREAM_VERSION)-src.tar.gz
-	tar -xzvf CUnit-$(UPSTREAM_VERSION)-src.tar.gz
+	wget http://downloads.sourceforge.net/project/cunit/CUnit/$(UPSTREAM_VERSION)/CUnit-$(UPSTREAM_VERSION)-src.tar.bz2
+	tar -xjvf CUnit-$(UPSTREAM_VERSION)-src.tar.bz2
 	mv CUnit-$(UPSTREAM_VERSION) cunit-$(UPSTREAM_VERSION).dfsg.orig
 	[ ! -f cunit-$(UPSTREAM_VERSION).dfsg.orig/Makefile ] || $(MAKE) -C cunit-$(UPSTREAM_VERSION).dfsg.orig distclean
 	-find cunit-$(UPSTREAM_VERSION).dfsg.orig -name "*.dsp" | xargs -r $(RM) -v
 	tar -cf - cunit-$(UPSTREAM_VERSION).dfsg.orig | gzip -9 > cunit_$(UPSTREAM_VERSION).dfsg.orig.tar.gz
-	$(RM) CUnit-$(UPSTREAM_VERSION)-src.tar.gz*
+	$(RM) CUnit-$(UPSTREAM_VERSION)-src.tar.bz2*
 	$(RM) -r cunit-$(UPSTREAM_VERSION).dfsg.orig
 
 binary-common:
