## cunit 2.1-3-dfsg

=== debian/changelog ===
cunit (2.1-3-dfsg-2) unstable; urgency=medium

  * Remove doc/headers/*.h, since they will be generated from CUnit/Headers
  * Fix links in introduction.html (Closes: #808614)
  * Fix <CUnit/CUCurses.h> link

 -- Azat Khuzhin <a3at.mail@gmail.com>  Sun, 27 Dec 2015 00:26:56 +0300

cunit (2.1-3-dfsg-1) unstable; urgency=medium

  * New maintainer. (Closes: #763096).
  * Fix pkg-config file is broken (Closes: #782366).
  * Bump Standards version to 3.9.6
  * Bump debhelper to version 9
  * Migrate to git
  * copyright: link to [L]GPL-2 instead of versionless [L]GPL
  * copyright: migrate to DEP-5 (machine-readable debian/copyright file)
  * copyright: add year for the second author
  * copyright: update header for GFDL
  * patches: migrate "manual-warnings" to git patch format
  * patches: drop "d/patches" prefix for c99 patch
  * patches: migrate "gcc-warnings" patch to git format
  * patches: migrate c99.patch to git patch format
  * Bump compat version
  * README.source, drop it
  * control: avoid Section duplicates (lintian)
  * control: drop XS prefix (lintian)
  * Bump to 2.1-3 (generated stuff was removed:
    Makefile/*.cache/libtool/cunit.pc/config.{status,log})
  * Fix versions
  * d/watch: cleanup
  * d/patches: drop c99, useless int 2.1-3
  * d/patches: drop fix-some-warnings-for-gcc, useless in 2.1-3

 -- Azat Khuzhin <a3at.mail@gmail.com>  Sun, 12 Jul 2015 02:04:35 +0300

cunit (2.1-2.dfsg-2) unstable; urgency=low

  * Package orphaned.
  * Added support for autopkgtest.

 -- Philipp Benner <philipp@debian.org>  Sat, 27 Sep 2014 18:32:36 +0200
