=== debian/tests/control ===
Tests: test.sh
Depends:
Restrictions: build-needed
